Share via


Keys - List By Automation Account

Retrieve the automation keys for an account.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/listKeys?api-version=2024-10-23

URI Parameters

Name In Required Type Description
automationAccountName
path True

string

The name of the automation account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

KeyListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get lists of an automation account

Sample request

POST https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/MyAutomationAccount/listKeys?api-version=2024-10-23

Sample response

{
  "keys": [
    {
      "KeyName": "Primary",
      "Permissions": "Full",
      "Value": "**************************************************************"
    },
    {
      "KeyName": "Secondary",
      "Permissions": "Full",
      "Value": "**************************************************************"
    }
  ]
}

Definitions

Name Description
AutomationKeyName

Automation key name.

AutomationKeyPermissions

Automation key permissions.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Key

Automation key which is used to register a DSC Node

KeyListResult

AutomationKeyName

Automation key name.

Value Description
Primary

Primary

Secondary

Secondary

AutomationKeyPermissions

Automation key permissions.

Value Description
Read

Read

Full

Full

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Key

Automation key which is used to register a DSC Node

Name Type Description
KeyName

AutomationKeyName

Automation key name.

Permissions

AutomationKeyPermissions

Automation key permissions.

Value

string

Value of the Automation Key used for registration.

KeyListResult

Name Type Description
keys

Key[]

Lists the automation keys.